# Make file for Mark Williams version of arbitrary precision floating point
# libarary
#
LINK=cc
OBJ=objcc3.1
CC=cc -c -dMWC

all: $(OBJ)\fmtest.exe
	$(OBJ)\fmtest.exe

$(OBJ)\fmtest.exe: $(OBJ)\fmtest.o $(OBJ)\fmtest1.o $(OBJ)\fmtest2.o \
	$(OBJ)\fmtest3.o $(OBJ)\falib.o $(OBJ)\fclib.o $(OBJ)\fmlib.o \
	$(OBJ)\ffmlib.o $(OBJ)\imlib.o
	$(LINK) fmtest.o fmtest1.o fmtest2.o fmtest3.o falib.o fclib.o fmlib.o ffmlib.o imlib.o -o fmtest.exe
	copy fmtest.exe $(OBJ)
	del *.o

$(OBJ)\fmtest.o: fmtest.c imlib.h fmlib.h ffmlib.h
	$(CC) fmtest.c -o fmtest.o
	copy fmtest.o $(OBJ)

$(OBJ)\fmtest1.o: fmtest1.c imlib.h fmlib.h ffmlib.h fmtest.h fmtest1.h
	$(CC) -dTEST fmtest1.c -o fmtest1.o
	copy fmtest1.o $(OBJ)

$(OBJ)\fmtest2.o: fmtest2.c imlib.h fmlib.h ffmlib.h fmtest.h fmtest2.h
	$(CC) -dTEST fmtest2.c -o fmtest2.o
	copy fmtest2.o $(OBJ)

$(OBJ)\fmtest3.o: fmtest3.c imlib.h fmlib.h ffmlib.h fmtest.h fmtest3.h
	$(CC) -dTEST fmtest3.c -o fmtest3.o
	copy fmtest3.o $(OBJ)

$(OBJ)\falib.o: falib.c imlib.h fmlib.h ffmlib.h
	$(CC) falib.c -o falib.o
	copy falib.o $(OBJ)

$(OBJ)\fclib.o: fclib.c imlib.h fmlib.h ffmlib.h
	$(CC) fclib.c -o fclib.o
	copy fclib.o $(OBJ)

$(OBJ)\fmlib.o: fmlib.c imlib.h fmlib.h ffmlib.h
	$(CC) fmlib.c -o fmlib.o
	copy fmlib.o $(OBJ)

$(OBJ)\ffmlib.o: ffmlib.c imlib.h fmlib.h ffmlib.h
	$(CC) ffmlib.c -o ffmlib.o
	copy ffmlib.o $(OBJ)

$(OBJ)\imlib.o: imlib.c imlib.h
	$(CC) imlib.c -o imlib.o
	copy imlib.o $(OBJ)
